Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.input.parse
Class ParseInputFormat

    java.lang.Object
      convert.relaxng.input.parse.ParseInputFormat

All Implemented Interfaces:
  InputFormat

Direct Known Subclasses:
  CompactParseInputFormat, SAXParseInputFormat

    public abstract class ParseInputFormat

extends java.lang.Object
implements InputFormat

Constructor Summary
`protected` | `ParseInputFormat(boolean commentsNeedTrimming)`

Method Summary
`SchemaCollection` | `load(java.lang.String uri, java.lang.String[] params, java.lang.String outputFormat, org.xml.sax.ErrorHandler eh)`
`protected abstract Parseable` | `makeParseable(org.xml.sax.InputSource in, org.xml.sax.ErrorHandler eh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseInputFormat

    protected ParseInputFormat(boolean commentsNeedTrimming)

Method Detail

### load

    public SchemaCollection load(java.lang.String uri,
                                 java.lang.String[] params,
                                 java.lang.String outputFormat,
                                 org.xml.sax.ErrorHandler eh)
                          throws InputFailedException,
                                 InvalidParamsException,
                                 java.io.IOException,
                                 org.xml.sax.SAXException

  Specified by:
    `load` in interface `InputFormat`
  Throws:
    `InputFailedException`
    `InvalidParamsException`
    `java.io.IOException`
    `org.xml.sax.SAXException`

### makeParseable

    protected abstract Parseable makeParseable(org.xml.sax.InputSource in,
                                               org.xml.sax.ErrorHandler eh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD